## archive.zip

=== docsite/latest/Makefile ===
#!/usr/bin/make
SITELIB = $(shell python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")
FORMATTER=../../hacking/module_formatter.py

all: clean docs

docs: clean modules
	./build-site.py

viewdocs: clean
	./build-site.py view

htmldocs:
	./build-site.py rst

clean:
	-rm -rf htmlout
	-rm -f .buildinfo
	-rm -f *.inv
	-rm -rf *.doctrees
	@echo "Cleaning up byte compiled python stuff"
	find . -regex ".*\.py[co]$$" -delete
	@echo "Cleaning up editor backup files"
	find . -type f \( -name "*~" -or -name "#*" \) -delete
	find . -type f \( -name "*.swp" \) -delete

.PHONEY: docs clean

modules: $(FORMATTER) ../../hacking/templates/rst.j2
	PYTHONPATH=../../lib $(FORMATTER) -t rst --template-dir=../../hacking/templates --module-dir=../../library -o rst/modules/ --includes-file=rst/modules/_list.rst

=== packaging/port/sysutils/ansible/Makefile ===
# $FreeBSD$

PORTNAME=       ansible
PORTVERSION=    1.0
PORTREVISION=   1
CATEGORIES=     python net-mgmt
MASTER_SITES=   http://ansible.cc/releases/
DISTNAME=		${PORTNAME}-${PORTVERSION}

MAINTAINER=		briancoca+ansible@gmail.com
COMMENT=        Ansible ssh based config management framework

RUN_DEPENDS=   python>2.5:${PORTSDIR}/lang/python ${PORTSDIR}/devel/py-Jinja2 ${PORTSDIR}/devel/py-yaml \
				${PORTSDIR}/security/py-paramiko ${PORTSDIR}/devel/py-simplejson

FETCH_ARGS=	-pRr

USE_PYTHON=     yes
USE_PYDISTUTILS=	yes

#TODO:add optional dependencies (fireball mode i.e)

# extracts with github name + short hash, needs to be updated with new releases
#pre-configure:
#	@${MV} ${WRKDIR}/ansible ${WRKSRC}

.include <bsd.port.mk>

=== packaging/debian/changelog ===
ansible (1.2) unstable; urgency=low

  * 1.2 release

 -- Michael DeHaan <michael.dehaan@gmail.com>  Mon, 10 June 2013 15:00:00 -0500

ansible (1.1) unstable; urgency=low

  * 1.1 release

 -- Michael DeHaan <michael.dehaan@gmail.com>  Tue, 02 Mar 2013 20:38:00 -0500

ansible (1.0) unstable; urgency=low
  
  * 1.0 release 
 
 -- Michael DeHaan <michael.dehaan@gmail.com>  Fri, 01 Feb 2013 21:34:34 -0500

ansible (0.9) unstable; urgency=low
  
  * 0.9 release 
 
 -- Michael DeHaan <michael.dehaan@gmail.com>  Fri, 30 Nov 2012 22:00:00 -0400

ansible (0.8) unstable; urgency=low
  
  * 0.8 update
 
 -- Michael DeHaan <michael.dehaan@gmail.com>  Fri, 19 Oct 2012 20:50:00 -0400

ansible (0.7) unstable; urgency=low
  
  * 0.7 update
 
 -- Michael DeHaan <michael.dehaan@gmail.com>  Thu, 06 Aug 2012 18:50:00 -0400

ansible (0.6) unstable; urgency=low
  
  * 0.6 update
 
 -- Michael DeHaan <michael.dehaan@gmail.com>  Mon, 06 Aug 2012 19:50:00 -0400

ansible (0.5) unstable; urgency=low

  * 0.5 update

 -- Michael DeHaan <michael.dehaan@gmail.com>  Wed, 04 Jul 2012 13:40:00 -0400

ansible (0.4) unstable; urgency=low
  
  * 0.4 update
 
 -- Michael DeHaan <michael.dehaan@gmail.com>  Wed, 23 May 2012 19:40:00 -0400

ansible (0.3) unstable; urgency=low

  * 0.3 update

 -- Michael DeHaan <michael.dehaan@gmail.com>  Mon, 23 Apr 2012 11:08:00 -0400

ansible (0.0.2) unstable; urgency=low

  * Initial Release

 -- Henry Graham (hzgraham) <Henry.Graham@mail.wvu.edu>  Tue, 17 Apr 2012 17:17:01 -0400

=== packaging/arch/PKGBUILD ===
#Maintainer: Michel Blanc <mblanc@erasme.org>
pkgname=ansible-git
pkgver=1.1.912.gedb6a68
pkgver(){
	cd "$srcdir/$pkgname"
	git describe --tags --long | sed 's/^v//;s/-/./g'
}
pkgrel=1
pkgdesc="A radically simple deployment, model-driven configuration management, and command execution framework"
arch=('any')
url="http://ansible.cc"
license=('GPL3')
depends=('python2' 'python2-paramiko' 'python2-jinja' 'python2-yaml')
makedepends=('git' 'asciidoc' 'fakeroot')
optdepends=('python2-pyzmq: needed for fireball mode'
	'python2-pyasn1: needed for fireball mode'
	'python2-crypto: needed for fireball mode'
	'python2-keyczar: needed for fireball mode')
conflicts=('ansible')
provides=('ansible')
source=("$pkgname::git://github.com/ansible/ansible.git"
		"python-binary.diff")
md5sums=("SKIP" "ab81876d8d4c86c27d137e3d86c25a3a")
backup=('etc/ansible/ansible.cfg')

prepare(){
  cd "$srcdir/$pkgname"
  patch -p1 -i "$srcdir/python-binary.diff"
}
build() {
  cd "$srcdir/$pkgname"
  make
}

package() {
  cd "$srcdir/$pkgname"

  mkdir -p "${pkgdir}/usr/share/ansible"
  cp -dpr --no-preserve=ownership ./library/* "${pkgdir}/usr/share/ansible/"
  cp -dpr --no-preserve=ownership ./examples "${pkgdir}/usr/share/ansible"

  python2 setup.py install -O1 --root="$pkgdir"

  install -D examples/ansible.cfg "$pkgdir/etc/ansible/ansbile.cfg"

  install -D README.md "$pkgdir/usr/share/doc/ansible/README.md"
  install -D COPYING "$pkgdir/usr/share/doc/ansible/COPYING"
  install -D CHANGELOG.md "$pkgdir/usr/share/doc/ansible/CHANGELOG.md"
  install -D CONTRIBUTING.md "$pkgdir/usr/share/doc/ansible/CONTRIBUTING.md"
  install -D RELEASES.txt "$pkgdir/usr/share/doc/ansible/RELEASES.txt"

  install -D docs/man/man1/ansible.1 "${pkgdir}/usr/share/man/man1/ansible.1"
  install -D docs/man/man1/ansible-playbook.1 "${pkgdir}/usr/share/man/man1/ansible-playbook.1"
  install -D docs/man/man1/ansible-pull.1 "${pkgdir}/usr/share/man/man1/ansible-pull.1"
  install -D docs/man/man1/ansible-doc.1 "${pkgdir}/usr/share/man/man1/ansible-doc.1"
}

=== packaging/macports/sysutils/ansible/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
# $Id: Portfile 102428 2013-02-02 18:34:49Z blair@macports.org $

PortSystem      1.0
PortGroup       python 1.0

name            ansible
version         devel
categories      sysutils
supported_archs noarch

maintainers     nomaintainer

homepage        http://ansibleworks.com/
description     SSH-based configuration management and deployment system
long_description \
    Ansible is a radically simple model-driven configuration \
    management, multi-node deployment, and orchestration \
    engine.  Ansible works over SSH and does not require any software \
    or daemons to be installed on remote nodes.  Extension modules can \
    be written in any language and are transferred to managed machines \
    automatically.

license         GPL-3+

platforms       darwin

fetch.type         git
git.url            https://github.com/ansible/ansible.git
git.branch         ${version}

python.default_version  27
depends_lib-append      port:py${python.version}-jinja2 \
                        port:py${python.version}-paramiko \
                        port:py${python.version}-yaml
# fireball mode requires py-zmq, py-asn1, py-crypto and py-keyczar

patch {
    fs-traverse f ${worksrcpath} {
        if {[file isfile ${f}]} {
            reinplace -locale C "s#/etc/ansible#${prefix}/etc/ansible#g" ${f}
            reinplace -locale C "s#/usr/share/ansible#${prefix}/share/ansible#g" ${f}
        }
    }
}

post-destroot {
  # documentation and examples
  xinstall -m 644 -W ${worksrcpath} README.md CHANGELOG.md CONTRIBUTING.md COPYING  \
    ${destroot}${prefix}/share/doc/${name}

  xinstall -m 755 -d ${destroot}${prefix}/share/doc/examples
  xinstall -m 755 ${worksrcpath}/examples/ansible.cfg ${destroot}${prefix}/share/doc/${name}/examples
  xinstall -m 755 ${worksrcpath}/examples/hosts ${destroot}${prefix}/share/doc/${name}/examples

  file copy ${worksrcpath}/examples/playbooks ${destroot}${prefix}/share/doc/${name}/examples/

  # man pages
  xinstall -d 644 ${destroot}${prefix}/share/man/man1
  eval xinstall -m 755 [glob ${worksrcpath}/docs/man/man1/*.1] ${destroot}${prefix}/share/man/man1

  # install sample config and hosts file
  xinstall -m 755 -d ${destroot}${prefix}/etc/ansible
  xinstall -m 755 ${worksrcpath}/examples/ansible.cfg ${destroot}${prefix}/etc/ansible/ansible.cfg
  xinstall -m 755 ${worksrcpath}/examples/hosts ${destroot}${prefix}/etc/ansible/hosts
}

python.link_binaries_suffix
